#!/bin/bash

# This program creates the edge list for a given orientation of
# eddies.

if (($# != 2))
then
    echo "Usage: eddy_graph.sh N_PROC INPUT_SHPC"
    exit 1
fi

set -e
##set -x
${mpiexec:-mpiexec} -n $1 @CMAKE_CURRENT_BINARY_DIR@/eddy_graph $2

rm -f isolated_nodes.txt
rank=0

while ((rank < $1))
do
    cat edgelist_$rank.csv >>edgelist_no_header.csv
    cat isolated_nodes_$rank.txt >>isolated_nodes.txt
    rm edgelist_$rank.csv isolated_nodes_$rank.txt
    ((rank += 1))
done

# Sort the edge list for easier comparison between runs:

export LC_NUMERIC=C # for the sort command

cat >edgelist.csv <<EOF
$(sort --key=1 --numeric-sort edgelist_no_header.csv)
EOF
rm edgelist_no_header.csv 

echo "Created files \"edgelist.csv\", \"isolated_nodes.txt\" and " \
     "\"node_id_param.json\"."
